cross sparc64 chapter 5 glibc tls required error

Frans Verstegen frans_verstegen at yahoo.fr
Sat Oct 1 08:41:19 PDT 2005


"Jim Gifford" <lfs at jg555.com> a écrit dans le message de news:
> Looks like you forgot the Sparc TLS patch for glibc.

Pretty sure not (though never sure), below the script I'm using with it's 
output:
$ more *11.sh
export PATH=/cross-tools/bin:/bin:/usr/bin
export LC_ALL=POSIX
unset CFLAGS
unset CXXFLAGS
export LFS_HOST=i686-pc-cygwin
export LFS_TARGET=sparc64-unknown-linux-gnu
export BUILD64="-m64 -mcpu=ultrasparc -mtune=ultrasparc"
export GCCTARGET="-mcpu=ultrasparc -mtune=ultrasparc"

# stage: 5.8.1. Installation of Glibc
( cd /mnt/LFS-6/build ; tar --use-compress-program bunzip2 -xvf 
/mnt/LFS-6/sources/glibc-20050926.tar.bz2 )
cd /mnt/LFS-6/build/glibc-20050926
patch -N -p1 -i /mnt/LFS-6/sources/glibc-20050926-libgcc_eh-1.patch
patch -N -p1 -i /mnt/LFS-6/sources/glibc-20050926-localedef_segfault-1.patch
patch -N -p1 -i /mnt/LFS-6/sources/glibc-20050926-sparc_tls-1.patch
( cd /mnt/LFS-6/build; mkdir -p glibc-build  )
cd /mnt/LFS-6/build/glibc-build
cat > config.cache << EOF
libc_cv_forced_unwind=yes
libc_cv_c_cleanup=yes
EOF
cat > lfs-glib-conf.sh << EOF
BUILD_CC="gcc" CC="${LFS_TARGET}-gcc ${BUILD64}" \
AR="${LFS_TARGET}-ar" \
RANLIB="${LFS_TARGET}-ranlib" \
../glibc-20050926/configure \
--prefix=/tools \
--host=${LFS_TARGET} --build=${LFS_HOST} \
--disable-profile --enable-add-ons \
--with-tls --enable-kernel=2.6.0 --with-__thread \
--with-binutils=/cross-tools/bin --with-headers=/tools/include \
--cache-file=config.cache
EOF
sh lfs-glib-conf.sh
make
make install
cd /mnt/LFS-6/build
rm -rf /mnt/LFS-6/build/glibc-20050926
rm -rf /mnt/LFS-6/build/glibc-build

The output from above:
(... uncompress ...)
glibc-20050926/wctype/wctrans_l.c
glibc-20050926/wctype/wctype.c
glibc-20050926/wctype/wctype.h
glibc-20050926/wctype/wctype_l.c
+ cd /mnt/LFS-6/build/glibc-20050926
+ patch -N -p1 -i /mnt/LFS-6/sources/glibc-20050926-libgcc_eh-1.patch
patching file Makeconfig
+ patch -N -p1 -i 
/mnt/LFS-6/sources/glibc-20050926-localedef_segfault-1.patch
patching file locale/programs/3level.h
+ patch -N -p1 -i /mnt/LFS-6/sources/glibc-20050926-sparc_tls-1.patch
patching file elf/tls-macros.h
+ cd /mnt/LFS-6/build
+ mkdir -p glibc-build
+ cd /mnt/LFS-6/build/glibc-build
+ cat
+ cat
+ sh lfs-glib-conf.sh
configure: loading cache config.cache
checking build system type... i686-pc-cygwin
checking host system type... sparc64-unknown-linux-gnu
(... goes on, ends without error ...)

then make starts and stumbles:
           -DASSEMBLER -x assembler-with-cpp - \
           > /mnt/LFS-6/build/glibc-build/Versions.v.iT
In file included from include/tls.h:6,
                 from <stdin>:1:
nptl/sysdeps/sparc/tls.h:59:3: error: #error "TLS support is required."
make[1]: *** [/mnt/LFS-6/build/glibc-build/Versions.v.i] Error 1
make[1]: Leaving directory `/mnt/LFS-6/build/glibc-20050926'
make: *** [install] Error 2






	

	
		
___________________________________________________________________________ 
Appel audio GRATUIT partout dans le monde avec le nouveau Yahoo! Messenger 
Téléchargez cette version sur http://fr.messenger.yahoo.com



More information about the lfs-dev mailing list